%define name mono-zeroconf
%define version 0.9.0
%define release %mkrel 6

Summary: Cross platform Zero Configuration Networking library 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.banshee-project.org/mono-zeroconf/%{name}-%{version}.tar.bz2
License: BSD
Group: System/Libraries
Url: http://mono-project.com/Mono_Zeroconf
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: monodoc
BuildRequires: avahi-sharp

%description
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
This package contains the API documentation for %name in
Monodoc format.

%prep
%setup -q

%build
./configure --prefix=%_prefix --disable-mdnsresponder
make

%install
rm -rf %{buildroot}
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%clean
rm -rf %{buildroot}

%post doc
%_bindir/monodoc --make-index > /dev/null
%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi


%files
%defattr(-,root,root)
%doc README COPYING
%_bindir/mzclient
%_prefix/lib/%name
%_prefix/lib/mono/gac/Mono.Zeroconf
%_prefix/lib/mono/gac/policy.1.0.Mono.Zeroconf
%_prefix/lib/mono/gac/policy.2.0.Mono.Zeroconf
%_prefix/lib/mono/gac/policy.3.0.Mono.Zeroconf
%_prefix/lib/mono/gac/policy.4.0.Mono.Zeroconf
%_prefix/lib/mono/%name

%files devel
%defattr(-,root,root)
%_datadir/pkgconfig/mono-zeroconf.pc

%files doc
%defattr(-,root,root)
%_prefix/lib/monodoc/sources/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.0-6.mga3
+ Revision: 360255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.9.0-5.mga1
+ Revision: 76193
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.9.0-4.mga1
+ Revision: 72680
- imported package mono-zeroconf

